Subject: bug#394: wdired-change-to-wdired-mode can cause file deletion

From: xah lee <[email-masked]>
Date: Thu, 12 Jun 2008 01:39:07 -0700

In dired, do M-x wdired-change-to-wdired-mode.

Then, swap 2 files's names.

Emacs will ask if the first file should be overwritten. If answer  
yes, it'll be deleted, and it wont be renamed. i.e. you lose a file.

This can be reproduced if you created 2 files, one named A and other  
B. Then renamed them to B and A. (Possibly you will need to create 3  
files and rename in particular cycle depending on how emacs choose  
the order to rename... The key is to get emacs to prompte for the  
overwrite of a file that should be renamed to something else later.)

This behavior is slightly unexpected and caused me to retrieve from  
my backup disk. (the files are images and never edited, so it isn't  
in emacs's backup)

   Xah
∑ http://xahlee.org/

☄